ru.bitel.bgbilling.modules.inet.api.common.bean

## Class InetDevice

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
      - - ru.bitel.oss.kernel.entity.common.bean.Entity
        - - ru.bitel.oss.systems.inventory.resource.common.bean.Device<InetDevice,InetDeviceType>
          - - ru.bitel.bgbilling.modules.inet.api.common.bean.InetDevice

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem, TreeNode<InetDevice>

      public class InetDevice
      extends Device<InetDevice,InetDeviceType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Set<java.lang.Integer>` | `invDeviceGroupIds`
    `static int` | `SERV_DEVICE_LINK_OFF`
    `static int` | `SERV_DEVICE_LINK_ON`
    `static int` | `SERV_DEVICE_LINK_ON_CHILD`
    `static int` | `SERV_SEARCH_MODE_ADDRESS`
    `static int` | `SERV_SEARCH_MODE_ADDRESS_ON_AGENT_DEVICE`
    `static int` | `SERV_SEARCH_MODE_INTERFACE_ON_DEVICE` Поиск по интерфейсу
    `static int` | `SERV_SEARCH_MODE_INTERFACE_WITH_MAC`
    `static int` | `SERV_SEARCH_MODE_INTERFACE_WITH_VLAN` Поиск по VLAN и порту на самом устройстве.
    `static int` | `SERV_SEARCH_MODE_LOGIN` Поиск по логину
    `static int` | `SERV_SEARCH_MODE_LOGIN_ON_PARENT_AND_CHILD_DEVICE` Поиск по логину только на устройстве и дочерних.
    `static int` | `SERV_SEARCH_MODE_MAC_ON_AGENT_AND_CHILD_DEVICE` Поиск по mac на агентском устройстве с учетом всех дочерних устройств
    `static int` | `SERV_SEARCH_MODE_MAC_ON_CHILD_DEVICE` Поиск по mac с учетом всех дочерних устройств
    `static int` | `SERV_SEARCH_MODE_MAC_ON_DEVICE`
    `static int` | `SERV_SEARCH_MODE_MAC_ON_DEVICE_AND_INTERFACE`
    `static int` | `SERV_SEARCH_MODE_MAC_ON_ROOT` Поиск по MAC-адресу по всем аккаунтам в rootDeviceId
    `static int` | `SERV_SEARCH_MODE_VLAN_AND_MAC_ON_PARENT_AND_CHILD_DEVICE` Поиск по VLAN и MAC-адресу на самом устройстве, а также на его потомках и его предках.
    `static int` | `SERV_SEARCH_MODE_VLAN_ON_CHILD_DEVICE` Поиск по vlan с учетом всех дочерних устройств
    `static int` | `SERV_SEARCH_MODE_VLAN_ON_DEVICE` Поиск по vlan
    `static int` | `SERV_SUB_SEARCH_MODE_ADDRESS`
    `static int` | `SERV_SUB_SEARCH_MODE_ADDRESS_IF_EXIST`
    `static int` | `SERV_SUB_SEARCH_MODE_ADDRESS_IF_EXIST_WITH_ROOT`
    `static int` | `SERV_SUB_SEARCH_MODE_ADDRESS_WITH_ROOT`
    `static int` | `SERV_SUB_SEARCH_MODE_MAC`
    `static int` | `SERV_SUB_SEARCH_MODE_MAC_IF_EXIST`
    `static int` | `SERV_SUB_SEARCH_MODE_OFF`

    - ### Fields inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.Device

      `children, comment, config, dateFrom, dateTo, deviceGroupIds, deviceType, deviceTypeId, host, identifier, orderManagerDisabled, parentId, secret, uptime, uptimeTime`

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `entitySpecId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetDevice()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fromInvDevice(InvDevice device)`
    `java.lang.String` | `getConfig()`
    `int` | `getDeviceTypeId()`
    `java.lang.String` | `getFullTitle()`
    `java.lang.String` | `getHost()`
    `java.lang.String` | `getIdentifier()`
    `java.lang.String` | `getInvConfig()`
    `java.util.Set<java.lang.Integer>` | `getInvDeviceGroupIds()`
    `int` | `getInvDeviceId()`
    `int` | `getInvDeviceTypeId()`
    `java.lang.String` | `getInvHost()`
    `java.lang.String` | `getInvIdentifier()`
    `java.lang.String` | `getInvTitle()`
    `int` | `getSvlan()`
    `void` | `setInvConfig(java.lang.String invConfig)`
    `void` | `setInvDeviceGroupIds(java.util.Set<java.lang.Integer> invDeviceGroupIds)`
    `void` | `setInvDeviceId(int invDeviceId)`
    `void` | `setInvDeviceTypeId(int invDeviceTypeId)`
    `void` | `setInvHost(java.lang.String invHost)`
    `void` | `setInvIdentifier(java.lang.String invIdentifier)`
    `void` | `setInvTitle(java.lang.String invTitle)`
    `void` | `setSvlan(int svlan)`
    `InvDevice` | `toInvDevice()`

    - ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.Device

      `findCodePath, generateTitle, generateTitle, getChildren, getComment, getDateFrom, getDateTo, getDeviceGroupIds, getDeviceType, getHosts, getHostsAsString, getParentId, getPassword, getSecret, getUptime, getUptimeTime, getUsername, isOrderManagerDisabled, main, setChildren, setComment, setConfig, setDateFrom, setDateTo, setDeviceGroupIds, setDeviceType, setDeviceTypeId, setHost, setIdentifier, setOrderManagerDisabled, setParentId, setPassword, setSecret, setUptime, setUptimeTime, setUsername`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

      `getEntityId, getEntityTitle, setEntityId, setEntityTitle`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### SERV_SEARCH_MODE_LOGIN

          public static final int SERV_SEARCH_MODE_LOGIN

      Поиск по логину
      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_INTERFACE_ON_DEVICE

          public static final int SERV_SEARCH_MODE_INTERFACE_ON_DEVICE

      Поиск по интерфейсу
      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_VLAN_ON_DEVICE

          public static final int SERV_SEARCH_MODE_VLAN_ON_DEVICE

      Поиск по vlan
      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_INTERFACE_WITH_MAC

          public static final int SERV_SEARCH_MODE_INTERFACE_WITH_MAC

      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_VLAN_ON_CHILD_DEVICE

          public static final int SERV_SEARCH_MODE_VLAN_ON_CHILD_DEVICE

      Поиск по vlan с учетом всех дочерних устройств
      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_MAC_ON_DEVICE

          public static final int SERV_SEARCH_MODE_MAC_ON_DEVICE

      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_MAC_ON_CHILD_DEVICE

          public static final int SERV_SEARCH_MODE_MAC_ON_CHILD_DEVICE

      Поиск по mac с учетом всех дочерних устройств
      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_ADDRESS

          public static final int SERV_SEARCH_MODE_ADDRESS

      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_ADDRESS_ON_AGENT_DEVICE

          public static final int SERV_SEARCH_MODE_ADDRESS_ON_AGENT_DEVICE

      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_MAC_ON_ROOT

          public static final int SERV_SEARCH_MODE_MAC_ON_ROOT

      Поиск по MAC-адресу по всем аккаунтам в rootDeviceId
      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_VLAN_AND_MAC_ON_PARENT_AND_CHILD_DEVICE

          public static final int SERV_SEARCH_MODE_VLAN_AND_MAC_ON_PARENT_AND_CHILD_DEVICE

      Поиск по VLAN и MAC-адресу на самом устройстве, а также на его потомках и его предках.
      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_INTERFACE_WITH_VLAN

          public static final int SERV_SEARCH_MODE_INTERFACE_WITH_VLAN

      Поиск по VLAN и порту на самом устройстве.
      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_MAC_ON_DEVICE_AND_INTERFACE

          public static final int SERV_SEARCH_MODE_MAC_ON_DEVICE_AND_INTERFACE

      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_MAC_ON_AGENT_AND_CHILD_DEVICE

          public static final int SERV_SEARCH_MODE_MAC_ON_AGENT_AND_CHILD_DEVICE

      Поиск по mac на агентском устройстве с учетом всех дочерних устройств
      See Also:
        Constant Field Values

    - #### SERV_SEARCH_MODE_LOGIN_ON_PARENT_AND_CHILD_DEVICE

          public static final int SERV_SEARCH_MODE_LOGIN_ON_PARENT_AND_CHILD_DEVICE

      Поиск по логину только на устройстве и дочерних.
      See Also:
        Constant Field Values

    - #### SERV_SUB_SEARCH_MODE_OFF

          public static final int SERV_SUB_SEARCH_MODE_OFF

      See Also:
        Constant Field Values

    - #### SERV_SUB_SEARCH_MODE_MAC

          public static final int SERV_SUB_SEARCH_MODE_MAC

      See Also:
        Constant Field Values

    - #### SERV_SUB_SEARCH_MODE_MAC_IF_EXIST

          public static final int SERV_SUB_SEARCH_MODE_MAC_IF_EXIST

      See Also:
        Constant Field Values

    - #### SERV_SUB_SEARCH_MODE_ADDRESS

          public static final int SERV_SUB_SEARCH_MODE_ADDRESS

      See Also:
        Constant Field Values

    - #### SERV_SUB_SEARCH_MODE_ADDRESS_IF_EXIST

          public static final int SERV_SUB_SEARCH_MODE_ADDRESS_IF_EXIST

      See Also:
        Constant Field Values

    - #### SERV_SUB_SEARCH_MODE_ADDRESS_WITH_ROOT

          public static final int SERV_SUB_SEARCH_MODE_ADDRESS_WITH_ROOT

      See Also:
        Constant Field Values

    - #### SERV_SUB_SEARCH_MODE_ADDRESS_IF_EXIST_WITH_ROOT

          public static final int SERV_SUB_SEARCH_MODE_ADDRESS_IF_EXIST_WITH_ROOT

      See Also:
        Constant Field Values

    - #### SERV_DEVICE_LINK_OFF

          public static final int SERV_DEVICE_LINK_OFF

      See Also:
        Constant Field Values

    - #### SERV_DEVICE_LINK_ON

          public static final int SERV_DEVICE_LINK_ON

      See Also:
        Constant Field Values

    - #### SERV_DEVICE_LINK_ON_CHILD

          public static final int SERV_DEVICE_LINK_ON_CHILD

      See Also:
        Constant Field Values

    - #### invDeviceGroupIds

          protected java.util.Set<java.lang.Integer> invDeviceGroupIds

  - ### Constructor Detail

    - #### InetDevice

          public InetDevice()

  - ### Method Detail

    - #### getInvDeviceTypeId

          public int getInvDeviceTypeId()

    - #### setInvDeviceTypeId

          public void setInvDeviceTypeId(int invDeviceTypeId)

    - #### getInvTitle

          public java.lang.String getInvTitle()

    - #### setInvTitle

          public void setInvTitle(java.lang.String invTitle)

    - #### getInvDeviceId

          public int getInvDeviceId()

    - #### setInvDeviceId

          public void setInvDeviceId(int invDeviceId)

    - #### getInvIdentifier

          public java.lang.String getInvIdentifier()

    - #### setInvIdentifier

          public void setInvIdentifier(java.lang.String invIdentifier)

    - #### getInvHost

          public java.lang.String getInvHost()

    - #### setInvHost

          public void setInvHost(java.lang.String invHost)

    - #### getInvConfig

          public java.lang.String getInvConfig()

    - #### setInvConfig

          public void setInvConfig(java.lang.String invConfig)

    - #### getInvDeviceGroupIds

          public java.util.Set<java.lang.Integer> getInvDeviceGroupIds()

    - #### setInvDeviceGroupIds

          public void setInvDeviceGroupIds(java.util.Set<java.lang.Integer> invDeviceGroupIds)

    - #### getDeviceTypeId

          public int getDeviceTypeId()

      Overrides:
        `getDeviceTypeId` in class `Device<InetDevice,InetDeviceType>`

    - #### getIdentifier

          public java.lang.String getIdentifier()

      Overrides:
        `getIdentifier` in class `Device<InetDevice,InetDeviceType>`

    - #### getHost

          public java.lang.String getHost()

      Overrides:
        `getHost` in class `Device<InetDevice,InetDeviceType>`

    - #### getConfig

          public java.lang.String getConfig()

      Overrides:
        `getConfig` in class `Device<InetDevice,InetDeviceType>`

    - #### toInvDevice

          public InvDevice toInvDevice()

    - #### fromInvDevice

          public void fromInvDevice(InvDevice device)

    - #### getFullTitle

          public java.lang.String getFullTitle()

    - #### getSvlan

          public int getSvlan()

    - #### setSvlan

          public void setSvlan(int svlan)